MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions
SCI

## Data Structures
struct | _SCI_Obj_
| Defines the serial communications interface (SCI) object. More...

## Macros
#define | SCIA_BASE_ADDR (0x00007050)
| Defines the base address of the serial communications interface (SCI) A registers. More...
#define | SCIB_BASE_ADDR (0x00007750)
| Defines the base address of the serial communications interface (SCI) B registers. More...
#define | SCI_SCICCR_CHAR_LENGTH_BITS (7 << 0)
| Defines the location of the SCICHAR2-0 bits in the SCICCR register. More...
#define | SCI_SCICCR_MODE_BITS (1 << 3)
| Defines the location of the ADDR/IDLE MODE bits in the SCICCR register. More...
#define | SCI_SCICCR_LB_ENA_BITS (1 << 4)
| Defines the location of the LOOP BACK ENA bits in the SCICCR register. More...
#define | SCI_SCICCR_PARITY_ENA_BITS (1 << 5)
| Defines the location of the PARITY ENABLE bits in the SCICCR register. More...
#define | SCI_SCICCR_PARITY_BITS (1 << 6)
| Defines the location of the EVEN/ODD PARITY bits in the SCICCR register. More...
#define | SCI_SCICCR_STOP_BITS (1 << 7)
| Defines the location of the STOP bits in the SCICCR register. More...
#define | SCI_SCICTL1_RXENA_BITS (1 << 0)
| Defines the location of the RXENA bits in the SCICTL1 register. More...
#define | SCI_SCICTL1_TXENA_BITS (1 << 1)
| Defines the location of the TXENA bits in the SCICTL1 register. More...
#define | SCI_SCICTL1_SLEEP_BITS (1 << 2)
| Defines the location of the SLEEP bits in the SCICTL1 register. More...
#define | SCI_SCICTL1_TXWAKE_BITS (1 << 3)
| Defines the location of the TXWAKE bits in the SCICTL1 register. More...
#define | SCI_SCICTL1_RESET_BITS (1 << 5)
| Defines the location of the SW RESET bits in the SCICTL1 register. More...
#define | SCI_SCICTL1_RX_ERR_INT_ENA_BITS (1 << 6)
| Defines the location of the RX ERR INT ENA bits in the SCICTL1 register. More...
#define | SCI_SCICTL2_TX_INT_ENA_BITS (1 << 0)
| Defines the location of the TX INT ENA bits in the SCICTL2 register. More...
#define | SCI_SCICTL2_RX_INT_ENA_BITS (1 << 1)
| Defines the location of the RX/BK INT ENA bits in the SCICTL2 register. More...
#define | SCI_SCICTL2_TXEMPTY_BITS (1 << 6)
| Defines the location of the TX EMPTY bits in the SCICTL2 register. More...
#define | SCI_SCICTL2_TXRDY_BITS (1 << 7)
| Defines the location of the RX EMPTY bits in the SCICTL2 register. More...
#define | SCI_SCIRXST_RXWAKE_BITS (1 << 1)
| Defines the location of the RXWAKE bits in the SCIRXST register. More...
#define | SCI_SCIRXST_PE_BITS (1 << 2)
| Defines the location of the PE bits in the SCIRXST register. More...
#define | SCI_SCIRXST_OE_BITS (1 << 3)
| Defines the location of the OE bits in the SCIRXST register. More...
#define | SCI_SCIRXST_FE_BITS (1 << 4)
| Defines the location of the FE bits in the SCIRXST register. More...
#define | SCI_SCIRXST_BRKDT_BITS (1 << 5)
| Defines the location of the BRKDT bits in the SCIRXST register. More...
#define | SCI_SCIRXST_RXRDY_BITS (1 << 6)
| Defines the location of the RXRDY bits in the SCIRXST register. More...
#define | SCI_SCIRXST_RXERROR_BITS (1 << 7)
| Defines the location of the RX ERROR bits in the SCIRXST register. More...
#define | SCI_SCIFFRX_IL_BITS (31 << 0)
| Defines the location of the RXFFIL4-0 bits in the SCIFFRX register. More...
#define | SCI_SCIFFRX_IENA_BITS ( 1 << 5)
| Defines the location of the RXFFIENA bits in the SCIFFRX register. More...
#define | SCI_SCIFFRX_INTCLR_BITS ( 1 << 6)
| Defines the location of the RXFFINT CLR bits in the SCIFFRX register. More...
#define | SCI_SCIFFRX_INT_BITS ( 1 << 7)
| Defines the location of the RXFFINT flag bits in the SCIFFRX register. More...
#define | SCI_SCIFFRX_FIFO_ST_BITS (31 << 8)
| Defines the location of the RXFFST4-0 bits in the SCIFFRX register. More...
#define | SCI_SCIFFRX_FIFO_RESET_BITS ( 1 << 13)
| Defines the location of the RXFIFO Reset bits in the SCIFFRX register. More...
#define | SCI_SCIFFRX_FIFO_OVFCLR_BITS ( 1 << 14)
| Defines the location of the RXFFOVF CLR bits in the SCIFFRX register. More...
#define | SCI_SCIFFRX_FIFO_OVF_BITS ( 1 << 15)
| Defines the location of the RXFFOVF bits in the SCIFFRX register. More...
#define | SCI_SCIFFTX_IL_BITS (31 << 0)
| Defines the location of the TXFFIL4-0 bits in the SCIFFTX register. More...
#define | SCI_SCIFFTX_IENA_BITS ( 1 << 5)
| Defines the location of the TXFFIENA bits in the SCIFFTX register. More...
#define | SCI_SCIFFTX_INTCLR_BITS ( 1 << 6)
| Defines the location of the TXFFINT CLR bits in the SCIFFTX register. More...
#define | SCI_SCIFFTX_INT_BITS ( 1 << 7)
| Defines the location of the TXFFINT flag bits in the SCIFFTX register. More...
#define | SCI_SCIFFTX_FIFO_ST_BITS (31 << 8)
| Defines the location of the TXFFST4-0 bits in the SCIFFTX register. More...
#define | SCI_SCIFFTX_FIFO_RESET_BITS ( 1 << 13)
| Defines the location of the TXFIFO Reset bits in the SCIFFTX register. More...
#define | SCI_SCIFFTX_FIFO_ENA_BITS ( 1 << 14)
| Defines the location of the SCIFFENA bits in the SCIFFTX register. More...
#define | SCI_SCIFFTX_CHAN_RESET_BITS ( 1 << 15)
| Defines the location of the SCIRST bits in the SCIFFTX register. More...
#define | SCI_SCIFFCT_DELAY_BITS (255 << 0)
| Defines the location of the FFTXDLY7-0 bits in the SCIFFCT register. More...
#define | SCI_SCIFFCT_CDC_BITS ( 1 << 13)
| Defines the location of the CDC bits in the SCIFFCT register. More...
#define | SCI_SCIFFCT_ABDCLR_BITS ( 1 << 14)
| Defines the location of the ABD CLR bits in the SCIFFCT register. More...
#define | SCI_SCIFFCT_ABD_BITS ( 1 << 15)
| Defines the location of the ABD bits in the SCIFFCT register. More...

## Typedefs
typedef struct _SCI_Obj_ | SCI_Obj
| Defines the serial communications interface (SCI) object. More...
typedef struct _SCI_Obj_ * | SCI_Handle
| Defines the serial communications interface (SCI) handle. More...

## Enumerations
enum | SCI_BaudRate_e { SCI_BaudRate_9_6_kBaud = 194, SCI_BaudRate_19_2_kBaud = 97, SCI_BaudRate_57_6_kBaud = 33, SCI_BaudRate_115_2_kBaud = 15 }
| Enumeration to define the serial communications interface (SCI) baud rates. This enumeration assume a device clock of 60Mhz and a LSPCLK of 15MHz. More...
enum | SCI_CharLength_e { SCI_CharLength_1_Bit =(0 << 0), SCI_CharLength_2_Bits =(1 << 0), SCI_CharLength_3_Bits =(2 << 0), SCI_CharLength_4_Bits =(3 << 0), SCI_CharLength_5_Bits =(4 << 0), SCI_CharLength_6_Bits =(5 << 0), SCI_CharLength_7_Bits =(6 << 0), SCI_CharLength_8_Bits =(7 << 0) }
| Enumeration to define the serial communications interface (SCI) character lengths. More...
enum | SCI_Mode_e { SCI_Mode_IdleLine =(0 << 3), SCI_Mode_AddressBit =(1 << 3) }
| Enumeration to define the serial communications interface (SCI) multiprocessor protocol mode. More...
enum | SCI_NumStopBits_e { SCI_NumStopBits_One =(0 << 7), SCI_NumStopBits_Two =(1 << 7) }
| Enumeration to define the serial communications interface (SCI) number of stop bits. More...
enum | SCI_Parity_e { SCI_Parity_Odd =(0 << 6), SCI_Parity_Even =(1 << 6) }
| Enumeration to define the serial communications interface (SCI) parity. More...
enum | SCI_Priority_e { SCI_Priority_Immediate =(0 << 3), SCI_Priority_FreeRun =(1 << 3), SCI_Priority_AfterRxRxSeq =(2 << 3) }
| Enumeration to define the serial communications interface (SCI) emulation suspend priority. More...
enum | SCI_FifoLevel_e { SCI_FifoLevel_Empty =(0 << 0), SCI_FifoLevel_1_Word =(1 << 0), SCI_FifoLevel_2_Words =(2 << 0), SCI_FifoLevel_3_Words =(3 << 0), SCI_FifoLevel_4_Words =(4 << 0) }
| Enumeration to define the serial communications interface (SCI) FIFO level. More...
enum | SCI_FifoStatus_e { SCI_FifoStatus_Empty =(0 << 8), SCI_FifoStatus_1_Word =(1 << 8), SCI_FifoStatus_2_Words =(2 << 8), SCI_FifoStatus_3_Words =(3 << 8), SCI_FifoStatus_4_Words =(4 << 8) }
| Enumeration to define the serial communications interface (SCI) FIFO status. More...

## Functions
void | SCI_clearAutoBaudDetect (SCI_Handle sciHandle)
| Clears the auto baud detect mode. More...
void | SCI_clearRxFifoOvf (SCI_Handle sciHandle)
| Clears the Rx FIFO overflow flag. More...
void | SCI_clearRxFifoInt (SCI_Handle sciHandle)
| Clears the Rx FIFO interrupt flag. More...
void | SCI_clearTxFifoInt (SCI_Handle sciHandle)
| Clears the Tx FIFO interrupt flag. More...
void | SCI_disable (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) interrupt. More...
void | SCI_disableAutoBaudAlign (SCI_Handle sciHandle)
| Disable the serial communications interface (SCI) auto baud alignment. More...
void | SCI_disableLoopBack (SCI_Handle sciHandle)
| Disables the serial peripheral interface (SCI) loop back mode. More...
void | SCI_disableParity (SCI_Handle sciHandle)
| Disable the parity. More...
void | SCI_disableRx (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) master/slave receive mode. More...
void | SCI_disableRxErrorInt (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) receive error interrupt. More...
void | SCI_disableRxFifoInt (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) receive FIFO interrupt. More...
void | SCI_disableRxInt (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) receive interrupt. More...
void | SCI_disableSleep (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) sleep mode. More...
void | SCI_disableTx (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) master/slave transmit mode. More...
void | SCI_disableTxFifoEnh (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) transmit FIFO enhancements. More...
void | SCI_disableTxFifoInt (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) transmit FIFO interrupt. More...
void | SCI_disableTxInt (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) transmit interrupt. More...
void | SCI_disableTxWake (SCI_Handle sciHandle)
| Disables the serial communications interface (SCI) wakeup method. More...
void | SCI_enable (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) More...
void | SCI_enableAutoBaudAlign (SCI_Handle sciHandle)
| Enable the serial communications interface (SCI) auto baud alignment. More...
void | SCI_enableChannels (SCI_Handle sciHandle)
| Enable the serial communications interface (SCI) transmit and receive channels. More...
void | SCI_enableLoopBack (SCI_Handle sciHandle)
| Enables the serial peripheral interface (SCI) loop back mode. More...
void | SCI_enableParity (SCI_Handle sciHandle)
| Enables the serial peripheral interface (SCI) parity. More...
void | SCI_enableRx (SCI_Handle sciHandle)
| Enables the serial peripheral interface (SCI) receiver. More...
void | SCI_enableRxErrorInt (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) receive error interrupt. More...
void | SCI_enableRxInt (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) receive interrupt. More...
void | SCI_enableSleep (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) sleep mode. More...
void | SCI_enableRxFifo (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) receive FIFO. More...
void | SCI_enableRxFifoInt (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) receive FIFO interrupt. More...
void | SCI_enableTx (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) masater/slave transmit mode. More...
void | SCI_enableTxFifo (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) transmit FIFO. More...
void | SCI_enableTxFifoEnh (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) transmit FIFO enhancements. More...
void | SCI_enableTxFifoInt (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) transmit FIFO interrupt. More...
void | SCI_enableTxInt (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) transmit interrupt. More...
void | SCI_enableTxWake (SCI_Handle sciHandle)
| Enables the serial communications interface (SCI) wakeup method. More...
uint16_t | SCI_getDataBlocking (SCI_Handle sciHandle)
| Gets data from the serial communications interface (Blocking) More...
uint16_t | SCI_getDataNonBlocking (SCI_Handle sciHandle, uint16_t *success)
| Read data from the serial communications interface (Non-Blocking) More...
SCI_FifoStatus_e | SCI_getRxFifoStatus (SCI_Handle sciHandle)
| Gets the serial communications interface (SCI) receive FIFO status. More...
SCI_FifoStatus_e | SCI_getTxFifoStatus (SCI_Handle sciHandle)
| Gets the serial communications interface (SCI) transmit FIFO status. More...
SCI_Handle | SCI_init (void *pMemory, const size_t numBytes)
| Initializes the serial communications interface (SCI) object handle. More...
void | SCI_putDataBlocking (SCI_Handle sciHandle, uint16_t data)
| Writes data to the serial communications interface (Blocking) More...
uint16_t | SCI_putDataNonBlocking (SCI_Handle sciHandle, uint16_t data)
| Writes data to the serial communications interface (Non-Blocking) More...
static uint16_t | SCI_read (SCI_Handle sciHandle)
| Reads data from the serial communications interface (SCI) More...
void | SCI_reset (SCI_Handle sciHandle)
| Resets the serial communications interface (SCI) More...
void | SCI_resetChannels (SCI_Handle sciHandle)
| Resets the serial communications interface (SCI) transmit and receive channels. More...
void | SCI_resetRxFifo (SCI_Handle sciHandle)
| Resets the serial communications interface (SCI) receive FIFO. More...
void | SCI_resetTxFifo (SCI_Handle sciHandle)
| Resets the serial communications interface (SCI) transmit FIFO. More...
static bool | SCI_rxDataReady (SCI_Handle sciHandle)
| Determines if the serial communications interface (SCI) has receive data ready. More...
void | SCI_setBaudRate (SCI_Handle sciHandle, const SCI_BaudRate_e baudRate)
| Sets the serial communications interface (SCI) baud rate. More...
void | SCI_setCharLength (SCI_Handle sciHandle, const SCI_CharLength_e charLength)
| Sets the serial communications interface (SCI) character length. More...
void | SCI_setMode (SCI_Handle sciHandle, const SCI_Mode_e mode)
| Sets the serial communications interface (SCI) miltprocessor mode. More...
void | SCI_setNumStopBits (SCI_Handle sciHandle, const SCI_NumStopBits_e numBits)
| Sets the serial communications interface (SCI) number of stop bits. More...
void | SCI_setPriority (SCI_Handle sciHandle, const SCI_Priority_e priority)
| Sets the serial communications interface (SCI) priority. More...
void | SCI_setParity (SCI_Handle sciHandle, const SCI_Parity_e parity)
| Sets the serial communications interface (SCI) parity. More...
void | SCI_setTxDelay (SCI_Handle sciHandle, const uint_least8_t delay)
| Sets the serial communications interface (SCI) transmit delay. More...
void | SCI_setTxFifoIntLevel (SCI_Handle sciHandle, const SCI_FifoLevel_e fifoLevel)
| Sets the serial communications interface (SCI) transmit FIFO level for generating an interrupt. More...
void | SCI_setRxFifoIntLevel (SCI_Handle sciHandle, const SCI_FifoLevel_e fifoLevel)
| Sets the serial communications interface (SCI) receive FIFO level for generating an interrupt. More...
static bool | SCI_txReady (SCI_Handle sciHandle)
| Determines if the serial communications interface (SCI) is ready to transmit. More...
static void | SCI_write (SCI_Handle sciHandle, const uint16_t data)
| Writes data to the serial communications interface (SCI) More...

## Detailed Description

## Data Structure Documentation

struct _SCI_Obj_

Defines the serial communications interface (SCI) object.

Definition at line 349 of file sci.h.

Data Fields
volatile uint16_t | rsvd_1 | Reserved.
volatile uint16_t | rsvd_2[2] | Reserved.
volatile uint16_t | SCICCR | SCI Configuration Control Register.
volatile uint16_t | SCICTL1 | SCI Control Register 1.
volatile uint16_t | SCICTL2 | SCI Control Register 2.
volatile uint16_t | SCIFFCT | SCI FIFO Control Register.
volatile uint16_t | SCIFFRX | SCI FIFO Receive Register.
volatile uint16_t | SCIFFTX | SCI FIFO Transmit Register.
volatile uint16_t | SCIHBAUD | SCI Baud Register, High Bits.
volatile uint16_t | SCILBAUD | SCI Baud Register, Low Bits.
volatile uint16_t | SCIPRI | SCI Priority Register.
volatile uint16_t | SCIRXBUF | SCI Receive Data Buffer Register.
volatile uint16_t | SCIRXEMU | SCI Receive Emulation Data Buffer Register.
volatile uint16_t | SCIRXST | SCI Receive Status Register.
volatile uint16_t | SCITXBUF | SCI Transmit Data Buffer Register.

## Macro Definition Documentation

#define SCI_SCICCR_CHAR_LENGTH_BITS (7 << 0)

Defines the location of the SCICHAR2-0 bits in the SCICCR register.

Definition at line 80 of file sci.h.

Referenced by SCI_setCharLength().

#define SCI_SCICCR_LB_ENA_BITS (1 << 4)

Defines the location of the LOOP BACK ENA bits in the SCICCR register.

Definition at line 88 of file sci.h.

Referenced by SCI_disableLoopBack(), and SCI_enableLoopBack().

#define SCI_SCICCR_MODE_BITS (1 << 3)

Defines the location of the ADDR/IDLE MODE bits in the SCICCR register.

Definition at line 84 of file sci.h.

Referenced by SCI_setMode().

#define SCI_SCICCR_PARITY_BITS (1 << 6)

Defines the location of the EVEN/ODD PARITY bits in the SCICCR register.

Definition at line 96 of file sci.h.

Referenced by SCI_setParity().

#define SCI_SCICCR_PARITY_ENA_BITS (1 << 5)

Defines the location of the PARITY ENABLE bits in the SCICCR register.

Definition at line 92 of file sci.h.

Referenced by SCI_disableParity(), and SCI_enableParity().

#define SCI_SCICCR_STOP_BITS (1 << 7)

Defines the location of the STOP bits in the SCICCR register.

Definition at line 100 of file sci.h.

Referenced by SCI_setNumStopBits().

#define SCI_SCICTL1_RESET_BITS (1 << 5)

Defines the location of the SW RESET bits in the SCICTL1 register.

Definition at line 121 of file sci.h.

Referenced by SCI_disable(), SCI_enable(), and SCI_reset().

#define SCI_SCICTL1_RX_ERR_INT_ENA_BITS (1 << 6)

Defines the location of the RX ERR INT ENA bits in the SCICTL1 register.

Definition at line 125 of file sci.h.

Referenced by SCI_disableRxErrorInt(), and SCI_enableRxErrorInt().

#define SCI_SCICTL1_RXENA_BITS (1 << 0)

Defines the location of the RXENA bits in the SCICTL1 register.

Definition at line 105 of file sci.h.

Referenced by SCI_disableRx(), and SCI_enableRx().

#define SCI_SCICTL1_SLEEP_BITS (1 << 2)

Defines the location of the SLEEP bits in the SCICTL1 register.

Definition at line 113 of file sci.h.

Referenced by SCI_disableSleep(), and SCI_enableSleep().

#define SCI_SCICTL1_TXENA_BITS (1 << 1)

Defines the location of the TXENA bits in the SCICTL1 register.

Definition at line 109 of file sci.h.

Referenced by SCI_disableTx(), and SCI_enableTx().

#define SCI_SCICTL1_TXWAKE_BITS (1 << 3)

Defines the location of the TXWAKE bits in the SCICTL1 register.

Definition at line 117 of file sci.h.

Referenced by SCI_disableTxWake(), and SCI_enableTxWake().

#define SCI_SCICTL2_RX_INT_ENA_BITS (1 << 1)

Defines the location of the RX/BK INT ENA bits in the SCICTL2 register.

Definition at line 134 of file sci.h.

Referenced by SCI_disableRxInt(), and SCI_enableRxInt().

#define SCI_SCICTL2_TX_INT_ENA_BITS (1 << 0)

Defines the location of the TX INT ENA bits in the SCICTL2 register.

Definition at line 130 of file sci.h.

Referenced by SCI_disableTxInt(), and SCI_enableTxInt().

#define SCI_SCICTL2_TXEMPTY_BITS (1 << 6)

Defines the location of the TX EMPTY bits in the SCICTL2 register.

Definition at line 138 of file sci.h.

#define SCI_SCICTL2_TXRDY_BITS (1 << 7)

Defines the location of the RX EMPTY bits in the SCICTL2 register.

Definition at line 142 of file sci.h.

Referenced by SCI_txReady().

#define SCI_SCIFFCT_ABD_BITS ( 1 << 15)

Defines the location of the ABD bits in the SCIFFCT register.

Definition at line 254 of file sci.h.

#define SCI_SCIFFCT_ABDCLR_BITS ( 1 << 14)

Defines the location of the ABD CLR bits in the SCIFFCT register.

Definition at line 250 of file sci.h.

Referenced by SCI_clearAutoBaudDetect().

#define SCI_SCIFFCT_CDC_BITS ( 1 << 13)

Defines the location of the CDC bits in the SCIFFCT register.

Definition at line 246 of file sci.h.

Referenced by SCI_disableAutoBaudAlign(), and SCI_enableAutoBaudAlign().

#define SCI_SCIFFCT_DELAY_BITS (255 << 0)

Defines the location of the FFTXDLY7-0 bits in the SCIFFCT register.

Definition at line 242 of file sci.h.

Referenced by SCI_setTxDelay().

#define SCI_SCIFFRX_FIFO_OVF_BITS ( 1 << 15)

Defines the location of the RXFFOVF bits in the SCIFFRX register.

Definition at line 204 of file sci.h.

#define SCI_SCIFFRX_FIFO_OVFCLR_BITS ( 1 << 14)

Defines the location of the RXFFOVF CLR bits in the SCIFFRX register.

Definition at line 200 of file sci.h.

Referenced by SCI_clearRxFifoOvf().

#define SCI_SCIFFRX_FIFO_RESET_BITS ( 1 << 13)

Defines the location of the RXFIFO Reset bits in the SCIFFRX register.

Definition at line 196 of file sci.h.

Referenced by SCI_enableRxFifo(), and SCI_resetRxFifo().

#define SCI_SCIFFRX_FIFO_ST_BITS (31 << 8)

Defines the location of the RXFFST4-0 bits in the SCIFFRX register.

Definition at line 192 of file sci.h.

Referenced by SCI_getRxFifoStatus().

#define SCI_SCIFFRX_IENA_BITS ( 1 << 5)

Defines the location of the RXFFIENA bits in the SCIFFRX register.

Definition at line 180 of file sci.h.

Referenced by SCI_disableRxFifoInt(), and SCI_enableRxFifoInt().

#define SCI_SCIFFRX_IL_BITS (31 << 0)

Defines the location of the RXFFIL4-0 bits in the SCIFFRX register.

Definition at line 176 of file sci.h.

Referenced by SCI_setRxFifoIntLevel().

#define SCI_SCIFFRX_INT_BITS ( 1 << 7)

Defines the location of the RXFFINT flag bits in the SCIFFRX register.

Definition at line 188 of file sci.h.

#define SCI_SCIFFRX_INTCLR_BITS ( 1 << 6)

Defines the location of the RXFFINT CLR bits in the SCIFFRX register.

Definition at line 184 of file sci.h.

Referenced by SCI_clearRxFifoInt().

#define SCI_SCIFFTX_CHAN_RESET_BITS ( 1 << 15)

Defines the location of the SCIRST bits in the SCIFFTX register.

Definition at line 237 of file sci.h.

Referenced by SCI_enableChannels(), and SCI_resetChannels().

#define SCI_SCIFFTX_FIFO_ENA_BITS ( 1 << 14)

Defines the location of the SCIFFENA bits in the SCIFFTX register.

Definition at line 233 of file sci.h.

Referenced by SCI_disableTxFifoEnh(), and SCI_enableTxFifoEnh().

#define SCI_SCIFFTX_FIFO_RESET_BITS ( 1 << 13)

Defines the location of the TXFIFO Reset bits in the SCIFFTX register.

Definition at line 229 of file sci.h.

Referenced by SCI_enableTxFifo(), and SCI_resetTxFifo().

#define SCI_SCIFFTX_FIFO_ST_BITS (31 << 8)

Defines the location of the TXFFST4-0 bits in the SCIFFTX register.

Definition at line 225 of file sci.h.

Referenced by SCI_getTxFifoStatus().

#define SCI_SCIFFTX_IENA_BITS ( 1 << 5)

Defines the location of the TXFFIENA bits in the SCIFFTX register.

Definition at line 213 of file sci.h.

Referenced by SCI_disableTxFifoInt(), and SCI_enableTxFifoInt().

#define SCI_SCIFFTX_IL_BITS (31 << 0)

Defines the location of the TXFFIL4-0 bits in the SCIFFTX register.

Definition at line 209 of file sci.h.

Referenced by SCI_setTxFifoIntLevel().

#define SCI_SCIFFTX_INT_BITS ( 1 << 7)

Defines the location of the TXFFINT flag bits in the SCIFFTX register.

Definition at line 221 of file sci.h.

#define SCI_SCIFFTX_INTCLR_BITS ( 1 << 6)

Defines the location of the TXFFINT CLR bits in the SCIFFTX register.

Definition at line 217 of file sci.h.

Referenced by SCI_clearTxFifoInt().

#define SCI_SCIRXST_BRKDT_BITS (1 << 5)

Defines the location of the BRKDT bits in the SCIRXST register.

Definition at line 163 of file sci.h.

#define SCI_SCIRXST_FE_BITS (1 << 4)

Defines the location of the FE bits in the SCIRXST register.

Definition at line 159 of file sci.h.

#define SCI_SCIRXST_OE_BITS (1 << 3)

Defines the location of the OE bits in the SCIRXST register.

Definition at line 155 of file sci.h.

#define SCI_SCIRXST_PE_BITS (1 << 2)

Defines the location of the PE bits in the SCIRXST register.

Definition at line 151 of file sci.h.

#define SCI_SCIRXST_RXERROR_BITS (1 << 7)

Defines the location of the RX ERROR bits in the SCIRXST register.

Definition at line 171 of file sci.h.

#define SCI_SCIRXST_RXRDY_BITS (1 << 6)

Defines the location of the RXRDY bits in the SCIRXST register.

Definition at line 167 of file sci.h.

Referenced by SCI_rxDataReady().

#define SCI_SCIRXST_RXWAKE_BITS (1 << 1)

Defines the location of the RXWAKE bits in the SCIRXST register.

Definition at line 147 of file sci.h.

#define SCIA_BASE_ADDR (0x00007050)

Defines the base address of the serial communications interface (SCI) A registers.

Definition at line 71 of file sci.h.

#define SCIB_BASE_ADDR (0x00007750)

Defines the base address of the serial communications interface (SCI) B registers.

Definition at line 75 of file sci.h.

## Typedef Documentation

typedef struct _SCI_Obj_* SCI_Handle

Defines the serial communications interface (SCI) handle.

Definition at line 371 of file sci.h.

typedef struct _SCI_Obj_ SCI_Obj

Defines the serial communications interface (SCI) object.

## Enumeration Type Documentation

enum SCI_BaudRate_e

Enumeration to define the serial communications interface (SCI) baud rates. This enumeration assume a device clock of 60Mhz and a LSPCLK of 15MHz.

Enumerator
SCI_BaudRate_9_6_kBaud | Denotes 9.6 kBaud.
SCI_BaudRate_19_2_kBaud | Denotes 19.2 kBaud.
SCI_BaudRate_57_6_kBaud | Denotes 57.6 kBaud.
SCI_BaudRate_115_2_kBaud | Denotes 115.2 kBaud.

Definition at line 262 of file sci.h.

enum SCI_CharLength_e

Enumeration to define the serial communications interface (SCI) character lengths.

Enumerator
SCI_CharLength_1_Bit | Denotes a character length of 1 bit.
SCI_CharLength_2_Bits | Denotes a character length of 2 bits.
SCI_CharLength_3_Bits | Denotes a character length of 3 bits.
SCI_CharLength_4_Bits | Denotes a character length of 4 bits.
SCI_CharLength_5_Bits | Denotes a character length of 5 bits.
SCI_CharLength_6_Bits | Denotes a character length of 6 bits.
SCI_CharLength_7_Bits | Denotes a character length of 7 bits.
SCI_CharLength_8_Bits | Denotes a character length of 8 bits.

Definition at line 273 of file sci.h.

enum SCI_FifoLevel_e

Enumeration to define the serial communications interface (SCI) FIFO level.

Enumerator
SCI_FifoLevel_Empty | Denotes the fifo is empty.
SCI_FifoLevel_1_Word | Denotes the fifo contains 1 word.
SCI_FifoLevel_2_Words | Denotes the fifo contains 2 words.
SCI_FifoLevel_3_Words | Denotes the fifo contains 3 words.
SCI_FifoLevel_4_Words | Denotes the fifo contains 4 words.

Definition at line 325 of file sci.h.

enum SCI_FifoStatus_e

Enumeration to define the serial communications interface (SCI) FIFO status.

Enumerator
SCI_FifoStatus_Empty | Denotes the fifo is empty.
SCI_FifoStatus_1_Word | Denotes the fifo contains 1 word.
SCI_FifoStatus_2_Words | Denotes the fifo contains 2 words.
SCI_FifoStatus_3_Words | Denotes the fifo contains 3 words.
SCI_FifoStatus_4_Words | Denotes the fifo contains 4 words.

Definition at line 337 of file sci.h.

enum SCI_Mode_e

Enumeration to define the serial communications interface (SCI) multiprocessor protocol mode.

Enumerator
SCI_Mode_IdleLine | Denotes idle-line mode protocol.
SCI_Mode_AddressBit | Denotes address-bit mode protocol.

Definition at line 288 of file sci.h.

enum SCI_NumStopBits_e

Enumeration to define the serial communications interface (SCI) number of stop bits.

Enumerator
SCI_NumStopBits_One | Denotes 1 stop bit.
SCI_NumStopBits_Two | Denotes 2 stop bits.

Definition at line 297 of file sci.h.

enum SCI_Parity_e

Enumeration to define the serial communications interface (SCI) parity.

Enumerator
SCI_Parity_Odd | Denotes odd parity.
SCI_Parity_Even | Denotes even parity.

Definition at line 306 of file sci.h.

enum SCI_Priority_e

Enumeration to define the serial communications interface (SCI) emulation suspend priority.

Enumerator
SCI_Priority_Immediate | Denotes an immediate stop.
SCI_Priority_FreeRun | Denotes free running.
SCI_Priority_AfterRxRxSeq | Denotes that a stop after the current receive/transmit sequence.

Definition at line 315 of file sci.h.

## Function Documentation

void SCI_clearAutoBaudDetect | ( | SCI_Handle | sciHandle | ) |

Clears the auto baud detect mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 57 of file sci.c.

References SCI_SCIFFCT_ABDCLR_BITS, and _SCI_Obj_::SCIFFCT.

void SCI_clearRxFifoInt | ( | SCI_Handle | sciHandle | ) |

Clears the Rx FIFO interrupt flag.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 81 of file sci.c.

References SCI_SCIFFRX_INTCLR_BITS, and _SCI_Obj_::SCIFFRX.

void SCI_clearRxFifoOvf | ( | SCI_Handle | sciHandle | ) |

Clears the Rx FIFO overflow flag.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 69 of file sci.c.

References SCI_SCIFFRX_FIFO_OVFCLR_BITS, and _SCI_Obj_::SCIFFRX.

void SCI_clearTxFifoInt | ( | SCI_Handle | sciHandle | ) |

Clears the Tx FIFO interrupt flag.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 93 of file sci.c.

References SCI_SCIFFTX_INTCLR_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_disable | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 105 of file sci.c.

References SCI_SCICTL1_RESET_BITS, and _SCI_Obj_::SCICTL1.

void SCI_disableAutoBaudAlign | ( | SCI_Handle | sciHandle | ) |

Disable the serial communications interface (SCI) auto baud alignment.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 117 of file sci.c.

References SCI_SCIFFCT_CDC_BITS, and _SCI_Obj_::SCIFFCT.

void SCI_disableLoopBack | ( | SCI_Handle | sciHandle | ) |

Disables the serial peripheral interface (SCI) loop back mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 129 of file sci.c.

References SCI_SCICCR_LB_ENA_BITS, and _SCI_Obj_::SCICCR.

void SCI_disableParity | ( | SCI_Handle | sciHandle | ) |

Disable the parity.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 141 of file sci.c.

References SCI_SCICCR_PARITY_ENA_BITS, and _SCI_Obj_::SCICCR.

void SCI_disableRx | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) master/slave receive mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 153 of file sci.c.

References SCI_SCICTL1_RXENA_BITS, and _SCI_Obj_::SCICTL1.

void SCI_disableRxErrorInt | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) receive error interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 165 of file sci.c.

References SCI_SCICTL1_RX_ERR_INT_ENA_BITS, and _SCI_Obj_::SCICTL1.

void SCI_disableRxFifoInt | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) receive FIFO interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 177 of file sci.c.

References SCI_SCIFFRX_IENA_BITS, and _SCI_Obj_::SCIFFRX.

void SCI_disableRxInt | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) receive interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 189 of file sci.c.

References SCI_SCICTL2_RX_INT_ENA_BITS, and _SCI_Obj_::SCICTL2.

void SCI_disableSleep | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) sleep mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 201 of file sci.c.

References SCI_SCICTL1_SLEEP_BITS, and _SCI_Obj_::SCICTL1.

void SCI_disableTx | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) master/slave transmit mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 213 of file sci.c.

References SCI_SCICTL1_TXENA_BITS, and _SCI_Obj_::SCICTL1.

void SCI_disableTxFifoEnh | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) transmit FIFO enhancements.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 225 of file sci.c.

References SCI_SCIFFTX_FIFO_ENA_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_disableTxFifoInt | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) transmit FIFO interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 237 of file sci.c.

References SCI_SCIFFTX_IENA_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_disableTxInt | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) transmit interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 249 of file sci.c.

References SCI_SCICTL2_TX_INT_ENA_BITS, and _SCI_Obj_::SCICTL2.

void SCI_disableTxWake | ( | SCI_Handle | sciHandle | ) |

Disables the serial communications interface (SCI) wakeup method.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 261 of file sci.c.

References SCI_SCICTL1_TXWAKE_BITS, and _SCI_Obj_::SCICTL1.

void SCI_enable | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI)

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 273 of file sci.c.

References SCI_SCICTL1_RESET_BITS, and _SCI_Obj_::SCICTL1.

void SCI_enableAutoBaudAlign | ( | SCI_Handle | sciHandle | ) |

Enable the serial communications interface (SCI) auto baud alignment.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 285 of file sci.c.

References SCI_SCIFFCT_CDC_BITS, and _SCI_Obj_::SCIFFCT.

void SCI_enableChannels | ( | SCI_Handle | sciHandle | ) |

Enable the serial communications interface (SCI) transmit and receive channels.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 297 of file sci.c.

References SCI_SCIFFTX_CHAN_RESET_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_enableLoopBack | ( | SCI_Handle | sciHandle | ) |

Enables the serial peripheral interface (SCI) loop back mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 309 of file sci.c.

References SCI_SCICCR_LB_ENA_BITS, and _SCI_Obj_::SCICCR.

void SCI_enableParity | ( | SCI_Handle | sciHandle | ) |

Enables the serial peripheral interface (SCI) parity.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 321 of file sci.c.

References SCI_SCICCR_PARITY_ENA_BITS, and _SCI_Obj_::SCICCR.

void SCI_enableRx | ( | SCI_Handle | sciHandle | ) |

Enables the serial peripheral interface (SCI) receiver.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 333 of file sci.c.

References SCI_SCICTL1_RXENA_BITS, and _SCI_Obj_::SCICTL1.

void SCI_enableRxErrorInt | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) receive error interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 345 of file sci.c.

References SCI_SCICTL1_RX_ERR_INT_ENA_BITS, and _SCI_Obj_::SCICTL1.

void SCI_enableRxFifo | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) receive FIFO.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 381 of file sci.c.

References SCI_SCIFFRX_FIFO_RESET_BITS, and _SCI_Obj_::SCIFFRX.

void SCI_enableRxFifoInt | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) receive FIFO interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 393 of file sci.c.

References SCI_SCIFFRX_IENA_BITS, and _SCI_Obj_::SCIFFRX.

void SCI_enableRxInt | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) receive interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 357 of file sci.c.

References SCI_SCICTL2_RX_INT_ENA_BITS, and _SCI_Obj_::SCICTL2.

void SCI_enableSleep | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) sleep mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 369 of file sci.c.

References SCI_SCICTL1_SLEEP_BITS, and _SCI_Obj_::SCICTL1.

void SCI_enableTx | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) masater/slave transmit mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 405 of file sci.c.

References SCI_SCICTL1_TXENA_BITS, and _SCI_Obj_::SCICTL1.

void SCI_enableTxFifo | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) transmit FIFO.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 417 of file sci.c.

References SCI_SCIFFTX_FIFO_RESET_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_enableTxFifoEnh | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) transmit FIFO enhancements.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 429 of file sci.c.

References SCI_SCIFFTX_FIFO_ENA_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_enableTxFifoInt | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) transmit FIFO interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 441 of file sci.c.

References SCI_SCIFFTX_IENA_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_enableTxInt | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) transmit interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 453 of file sci.c.

References SCI_SCICTL2_TX_INT_ENA_BITS, and _SCI_Obj_::SCICTL2.

void SCI_enableTxWake | ( | SCI_Handle | sciHandle | ) |

Enables the serial communications interface (SCI) wakeup method.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 465 of file sci.c.

References SCI_SCICTL1_TXWAKE_BITS, and _SCI_Obj_::SCICTL1.

uint16_t SCI_getDataBlocking | ( | SCI_Handle | sciHandle | ) |

Gets data from the serial communications interface (Blocking)

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Returns
  Data from the serial peripheral

Definition at line 477 of file sci.c.

References SCI_rxDataReady(), and _SCI_Obj_::SCIRXBUF.

uint16_t SCI_getDataNonBlocking | ( | SCI_Handle | sciHandle,
|  | uint16_t * | success
| ) |  |

Read data from the serial communications interface (Non-Blocking)

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [out] | success | Pointer to a variable which will house whether the read was successful or not (true on success)

Returns
  Data if successful, or NULL if no characters

Definition at line 489 of file sci.c.

References SCI_rxDataReady(), and _SCI_Obj_::SCIRXBUF.

SCI_FifoStatus_e SCI_getRxFifoStatus | ( | SCI_Handle | sciHandle | ) |

Gets the serial communications interface (SCI) receive FIFO status.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Returns
  The receive FIFO status

Definition at line 504 of file sci.c.

References SCI_SCIFFRX_FIFO_ST_BITS, and _SCI_Obj_::SCIFFRX.

SCI_FifoStatus_e SCI_getTxFifoStatus | ( | SCI_Handle | sciHandle | ) |

Gets the serial communications interface (SCI) transmit FIFO status.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Returns
  The transmit FIFO status

Definition at line 516 of file sci.c.

References SCI_SCIFFTX_FIFO_ST_BITS, and _SCI_Obj_::SCIFFTX.

SCI_Handle SCI_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the serial communications interface (SCI) object handle.

Parameters

  [in] | pMemory | A pointer to the base address of the SCI registers
  [in] | numBytes | The number of bytes allocated for the SCI object, bytes

Returns
  The serial communications interface (SCI) object handle

Definition at line 528 of file sci.c.

void SCI_putDataBlocking | ( | SCI_Handle | sciHandle,
|  | uint16_t | data
| ) |  |

Writes data to the serial communications interface (Blocking)

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | data | The data value

Definition at line 543 of file sci.c.

References SCI_txReady(), and _SCI_Obj_::SCITXBUF.

uint16_t SCI_putDataNonBlocking | ( | SCI_Handle | sciHandle,
|  | uint16_t | data
| ) |  |

Writes data to the serial communications interface (Non-Blocking)

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | data | The data value

Returns
  True on successful write, false if no space is available in the transmit buffer

Definition at line 558 of file sci.c.

References SCI_txReady(), and _SCI_Obj_::SCITXBUF.

static uint16_t SCI_read | ( | SCI_Handle | sciHandle | ) |
| inline static

Reads data from the serial communications interface (SCI)

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Returns
  The received data value

Definition at line 604 of file sci.h.

References _SCI_Obj_::SCIRXBUF.

void SCI_reset | ( | SCI_Handle | sciHandle | ) |

Resets the serial communications interface (SCI)

Parameters

  [in] | sciHandle | The serial communication interface (SCI) object handle

Definition at line 574 of file sci.c.

References SCI_SCICTL1_RESET_BITS, and _SCI_Obj_::SCICTL1.

void SCI_resetChannels | ( | SCI_Handle | sciHandle | ) |

Resets the serial communications interface (SCI) transmit and receive channels.

Parameters

  [in] | sciHandle | The serial communication interface (SCI) object handle

Definition at line 586 of file sci.c.

References SCI_SCIFFTX_CHAN_RESET_BITS, and _SCI_Obj_::SCIFFTX.

void SCI_resetRxFifo | ( | SCI_Handle | sciHandle | ) |

Resets the serial communications interface (SCI) receive FIFO.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 600 of file sci.c.

References SCI_SCIFFRX_FIFO_RESET_BITS, and _SCI_Obj_::SCIFFRX.

void SCI_resetTxFifo | ( | SCI_Handle | sciHandle | ) |

Resets the serial communications interface (SCI) transmit FIFO.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Definition at line 614 of file sci.c.

References SCI_SCIFFTX_FIFO_RESET_BITS, and _SCI_Obj_::SCIFFTX.

static bool SCI_rxDataReady | ( | SCI_Handle | sciHandle | ) |
| inline static

Determines if the serial communications interface (SCI) has receive data ready.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Returns
  The receive data status

Definition at line 639 of file sci.h.

References SCI_SCIRXST_RXRDY_BITS, and _SCI_Obj_::SCIRXST.

Referenced by SCI_getDataBlocking(), and SCI_getDataNonBlocking().

void SCI_setBaudRate | ( | SCI_Handle | sciHandle,
|  | const SCI_BaudRate_e | baudRate
| ) |  |

Sets the serial communications interface (SCI) baud rate.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | baudRate | The baud rate

Definition at line 628 of file sci.c.

References _SCI_Obj_::SCIHBAUD, and _SCI_Obj_::SCILBAUD.

void SCI_setCharLength | ( | SCI_Handle | sciHandle,
|  | const SCI_CharLength_e | charLength
| ) |  |

Sets the serial communications interface (SCI) character length.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | charLength | The character length

Definition at line 641 of file sci.c.

References SCI_SCICCR_CHAR_LENGTH_BITS, and _SCI_Obj_::SCICCR.

void SCI_setMode | ( | SCI_Handle | sciHandle,
|  | const SCI_Mode_e | mode
| ) |  |

Sets the serial communications interface (SCI) miltprocessor mode.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | mode | The multiprocessor mode

Definition at line 656 of file sci.c.

References SCI_SCICCR_MODE_BITS, and _SCI_Obj_::SCICCR.

void SCI_setNumStopBits | ( | SCI_Handle | sciHandle,
|  | const SCI_NumStopBits_e | numBits
| ) |  |

Sets the serial communications interface (SCI) number of stop bits.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | numBits | The number of bits

Definition at line 671 of file sci.c.

References SCI_SCICCR_STOP_BITS, and _SCI_Obj_::SCICCR.

void SCI_setParity | ( | SCI_Handle | sciHandle,
|  | const SCI_Parity_e | parity
| ) |  |

Sets the serial communications interface (SCI) parity.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | parity | The parity

Definition at line 698 of file sci.c.

References SCI_SCICCR_PARITY_BITS, and _SCI_Obj_::SCICCR.

void SCI_setPriority | ( | SCI_Handle | sciHandle,
|  | const SCI_Priority_e | priority
| ) |  |

Sets the serial communications interface (SCI) priority.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | priority | The priority

Definition at line 686 of file sci.c.

References _SCI_Obj_::SCIPRI.

void SCI_setRxFifoIntLevel | ( | SCI_Handle | sciHandle,
|  | const SCI_FifoLevel_e | fifoLevel
| ) |  |

Sets the serial communications interface (SCI) receive FIFO level for generating an interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | fifoLevel | The FIFO level

Definition at line 727 of file sci.c.

References SCI_SCIFFRX_IL_BITS, and _SCI_Obj_::SCIFFRX.

void SCI_setTxDelay | ( | SCI_Handle | sciHandle,
|  | const uint_least8_t | delay
| ) |  |

Sets the serial communications interface (SCI) transmit delay.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | delay | The transmit delay

Definition at line 713 of file sci.c.

References SCI_SCIFFCT_DELAY_BITS, and _SCI_Obj_::SCIFFCT.

void SCI_setTxFifoIntLevel | ( | SCI_Handle | sciHandle,
|  | const SCI_FifoLevel_e | fifoLevel
| ) |  |

Sets the serial communications interface (SCI) transmit FIFO level for generating an interrupt.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | fifoLevel | The FIFO level

Definition at line 741 of file sci.c.

References SCI_SCIFFTX_IL_BITS, and _SCI_Obj_::SCIFFTX.

static bool SCI_txReady | ( | SCI_Handle | sciHandle | ) |
| inline static

Determines if the serial communications interface (SCI) is ready to transmit.

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle

Returns
  The transmit status

Definition at line 707 of file sci.h.

References SCI_SCICTL2_TXRDY_BITS, and _SCI_Obj_::SCICTL2.

Referenced by SCI_putDataBlocking(), and SCI_putDataNonBlocking().

static void SCI_write | ( | SCI_Handle | sciHandle,
|  | const uint16_t | data
| ) |  |
| inline static

Writes data to the serial communications interface (SCI)

Parameters

  [in] | sciHandle | The serial communications interface (SCI) object handle
  [in] | data | The data value

Definition at line 721 of file sci.h.

References _SCI_Obj_::SCITXBUF.